package com.muyu.product.service;

import java.util.List;

import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.product.domain.RuleInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.product.domain.model.RuleInfoAddModel;
import com.muyu.product.domain.req.RuleInfoQueryReq;
import com.muyu.product.domain.resp.RuleInfoResp;

/**
 * 商品规格Service接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
public interface RuleInfoService extends IService<RuleInfo> {
    /**
     * 查询商品规格列表
     *
     * @param ruleInfo 商品规格
     * @return 商品规格集合
     */
    public List<RuleInfo> list(RuleInfo ruleInfo);

    /**
     * 添加规格信息
     * @param ruleInfoAddModel 规格添加模型
     * @return 时候成功
     */
    public boolean save(RuleInfoAddModel ruleInfoAddModel);

    TableDataInfo<RuleInfoResp> queryList (RuleInfoQueryReq ruleInfoQueryReq);
}
